You can search for internal articles by making a GET request to https://api.intercom.io/internal_articles/search.
Requires the read_write_articles_scope OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/internal_articles/search
- The european API serverhttps://api.eu.intercom.io/internal_articles/search
- The australian API serverhttps://api.au.intercom.io/internal_articles/search
curl -i -X GET \
'https://api.intercom.io/internal_articles/search?folder_id=123&page=1&per_page=10' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'Search successful
internal_articlesArray of objects(Internal Article)
An array of Internal Article objects
pagesobject(Pagination Object)
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
Response
{ "type": "list", "total_count": 1, "internal_articles": [ { … } ], "pages": { "type": "pages", "page": 1, "total_pages": 1, "per_page": 10 } }